{% extends 'public/public.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('assets/css/public/ressource_show.css') }}">
    {{ parent() }}
{% endblock %}

{% block content %}

    <form class="ressourceDisplayForm" id="ressourceDisplayForm">
        <div class="recRessource">
            <div class="headerRessource">
                <div class="en-dev displayRessource">
                    <img id="imgRessource">
                </div>
                <h1 id="title-ressource">{{ ressource.categorieRessource.libelle }} : {{ ressource.titre }}</h1>
                <select class="btn-en-dev ">
                    <option selected>FR</option>
                    <option>EN</option>
                    <option>DE</option>
                </select>
            </div>

            <div id="content-resource">
                {% if ressource.contenu is defined %}
                    {% if ressource.contenu.url is defined and ressource.contenu.url is not empty %}
                        <iframe id="detail-ressource"
                                allowfullscreen
                                src="{{ ressource.contenu.url |
                                replace({'https://www.youtube.com/watch?v=': 'https://www.youtube.com/embed/'}) }}"
                        ></iframe>
                        <span class="mt-15"> Ou accéder directement en cliquant sur <a
                                    href="{{ ressource.contenu.url }}"
                                    target="_blank">ce lien</a></span>
                    {% endif %}

                    {% if ressource.contenu.text is defined and ressource.contenu.text is not empty %}
                        <div id="text-resource">{{ ressource.contenu.text|raw }}</div>
                    {% endif %}

                    {% if ressource.contenu.media is defined and ressource.contenu.media is not empty %}
                        <iframe
                                allowfullscreen
                                src="{{ ressource.contenu.media }}"></iframe>
                        <span class="mt-15">
                        Pour accéder au
                            contenu partagé cliquer sur <a href="{{ ressource.contenu.media }}" target="_blank"
                                                           id="media-resource">ce lien</a>
                            </span>
                    {% endif %}
                {% else %}

                    {% set message %}
                        <h1>Malheureusement aucun contenu n'a été fourni.</h1>
                    {% endset %}

                    {% include('/message_page.html.twig') %}

                {% endif %}
            </div>

            <div id="participer-info">
                <cite id="type-ressource">Ressource de type {{ ressource.typeRessource.libelle }} créée
                    par {{ ressource.createur.displayedName }} le {{ ressource.createdDate|date('d/m/Y') }}</cite>

                {% if ressource.typeRessource.slug == 'activite-jeu-a-realiser' %}
                    <button id='ressource-participate' class="btn-en-dev">Participer</button>
                {% endif %}

            </div>

        </div>
        <div class="comRessource en-dev">
            <ul>
                <li class="active">
                    <p>Message 1</p>
                </li>
                <li>
                    <p>Message 2</p>
                </li>
                <li>
                    <p>Message 3</p>
                </li>
                <li>
                    <p>Message plus long que les autres</p>
                </li>
                <li>
                    <p>Msg</p>
                </li>
                <li>
                    <p>Msg</p>
                </li>
                <li>
                    <p>SMS avec émoji ;)</p>
                </li>
                <li>
                    <p>Test</p>
                </li>
                <li class="active">
                    <p>Message beaucoup plus long que les autres pour voir le rendu</p>
                </li>
                <li>
                    <p>Message 10</p>
                </li>
                <li>
                    <p>Encore un</p>
                </li>
                <li class="active">
                    <p>...</p>
                </li>
                <li>
                    <p>Message 12</p>
                </li>
                <li>
                    <p>Message 13</p>
                </li>
                <li>
                    <p>Message 14</p>
                </li>
                <li>
                    <p>Message 15</p>
                </li>
            </ul>
            <div class="posteCom">
                <input type="text" id="com-ressource" placeholder="Ecrivez un commentaire ici">
                <button id='send-com'>Envoyer</button>
            </div>
        </div>
    </form>
{% endblock %}
